<html>
<head>
<title>TestNG:  Rest_API_Tesrtcases</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>Rest_API_Tesrtcases</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>4/0/0</td>
</tr><tr>
<td>Started on:</td><td>Sat Dec 23 17:16:58 IST 2023</td>
</tr>
<tr><td>Total time:</td><td>15 seconds (15561 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-passed'>
<tr><td colspan='4' align='center'><b>PASSED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='Test_case_package.Get_testcase.Get_executor()'><b>Get_executor</b><br>Test class: Test_case_package.Get_testcase</td>
<td></td>
<td>0</td>
<td>Test_case_package.Get_testcase@7ce026d3</td></tr>
<tr>
<td title='Test_case_package.Post_testcase.Post_executor()'><b>Post_executor</b><br>Test class: Test_case_package.Post_testcase<br>Test method: ::::::::executing the Post api and validating the responsebBody:::::::</td>
<td></td>
<td>7</td>
<td>Test_case_package.Post_testcase@645aa696</td></tr>
<tr>
<td title='Test_case_package.Patch_testcase.Patch_executor()'><b>Patch_executor</b><br>Test class: Test_case_package.Patch_testcase</td>
<td></td>
<td>1</td>
<td>Test_case_package.Patch_testcase@cecf639</td></tr>
<tr>
<td title='Test_case_package.Put_testcase.Put_executor()'><b>Put_executor</b><br>Test class: Test_case_package.Put_testcase</td>
<td></td>
<td>1</td>
<td>Test_case_package.Put_testcase@1caa0244</td></tr>
</table><p>
</body>
</html>